<html>
<head>
	<title>PLAITools Editor</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<!-- custom styles -->
	<link rel='stylesheet' href='/ui/public/style/custom.css'>
	<link rel='stylesheet' href='/ui/public/style/form.css'>
	<!-- graphic node interface styles--> 
	<link rel="stylesheet" href="/ui/public/model/plaigraph.css" /> 
	<!-- external style -->
	<link rel="stylesheet" href="/font-awesome/css/all.css">
	<!--link href="/select2/dist/css/select2.min.css" rel="stylesheet" /-->
</head>

<body>
	<!-- Menu Bar  -->
	<div id="menubar" class="navbar">
		<!-- File  -->
		<div class="dropdown">
			<button class="dropbtn" id="file_button">File</button>
			<div class="dropdown-content" id="file_menu">
				<li id="file_save" class="inactive">Save <span class="shortcut">Ctrl+S</span></li>
				<li id="file_save_as" class="inactive">Save As</li>
				<li id="file_download" class="inactive">Download</li>
				<li id="file_schema_download" class="inactive">Schema Download</li>
				<!--a id="file_close" class="inactive">Close</a-->
				<li id="file_delete" class="inactive">Delete</li>
			</div>
		</div>
		<!-- Info  -->
		<span class="main_menu">
			<div id="title">Game Editor</div>
				<a class="nostyle">
					<div class="dropdown" id="editor_user" title="Editor User">
						<button class="dropbtn"><i class="fas fa-users"></i></button>
					</div>
				</a>
				<a class="nostyle">
					<div class="dropdown" id="home" title="Plait Games Overview">
						<button class="dropbtn"><i class="fas fa-home"></i></button>
					</div>
				</a>
				<a class="nostyle">
						<div class="dropdown" id="control" title="Games Session Overview">
						<button class="dropbtn"><i class="fas fa-play-circle"></i></button>
					</div>
				</a>
			<div class="dropdown" id="info">
				<button class="dropbtn"><i class="fas fa-info-circle"></i></button>
				<div class="dropdown-content" style="right:0;">
					<a class="active" target="_blank" href="https://gitlab.com/plaitools/plaiframe">Git</a>
					<a class="inactive" target="_blank">Wiki</a>
					<a class="active" target="_blank" href="https://plaitools.gitlab.io/documentation/">Documentation</a>
					<a class="active" target="_blank" href="https://gitlab.com/plaitools/plaiframe/-/issues">Issue Board</a>
					<a class="active" target="_blank" href="https://www.machinaex.com">machina eX</a>
				</div>
			</div>
	</span>
	</div>

	<!-- Content -->
	<div id="content" class="page">
		<div id="editor_div"><!-- JSON Editor --></div>
	</div>

	<!-- Loading Animation on Level open-->
	<div id="loader">
		<div class="lds-heart"><div></div></div>
		<div id="lds-info">Level laden</div>
	</div>
	
	<!-- footer with opened/closed lock and username -->
	<div class="footer">
		<div class="lock open">
			<i class="fas fa-lock-open"></i>
			<span id="username"></span>
		</div>
	</div>
	
	<!--external scriptfiles-->
	<script src="/socket.io/socket.io.js"></script>
	<script src="/jquery/jquery.js"></script>
	<script src="/sweetalert/sweetalert.min.js"></script>
	<script src="/select2/dist/js/select2.min.js"></script>
	
	<script>
		const Swal = swal
		const page_name = "editor"
	</script>
	
	<!--external scriptfiles-->
	<script src="/json-editor/jsoneditor.js"></script>
  <script src="/sweetalert2/sweetalert2.all.min.js"></script>
  <script src="/lodash/lodash.js"></script>
  <script src="/backbone/backbone.js"></script>
  <script src="/jointjs/joint.min.js"></script>
	<!-- shared scriptfiles -->
	<script src="/ui/public/medley.js"></script>
	<script src="/ui/public/server.js"></script>
	<script src="/ui/public/url_routing.js"></script>
	<!-- editor scriptfiles -->
	<script src="/ui/public/editor/collections.js"></script>
	<script src="/ui/public/editor/level_collection.js"></script>
	<script src="/ui/public/control/session.js"></script>
	<script src="/ui/public/editor/form.js"></script>
	<script src="/ui/public/editor/editor.js"></script>
  <!-- visual node editor files -->
  <script src="/ui/public/model/cue.js"></script>
  <script src="/ui/public/model/views.js"></script>
  <script src="/ui/public/model/level.js"></script>
  <script src="/ui/public/model/config.js"></script>
  <script src="/ui/public/model/plaigraph.js"></script>
	
</body>
</html>
